Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(597)

Unified Diff: tool/test.sh

Issue 1988503002: Move generated files to gen/. (Closed) Base URL: https://github.com/dart-lang/dev_compiler.git@master
Patch Set: Revise. Created 4 years, 7 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « tool/patch_sdk.sh ('k') | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: tool/test.sh
diff --git a/tool/test.sh b/tool/test.sh
index be87aa79a2110d348ca91094ee5c4da5529d281e..b12234de0589f56d3dfe32ff1f0749d760f56662 100755
--- a/tool/test.sh
+++ b/tool/test.sh
@@ -19,6 +19,14 @@ if [ -d test/codegen/expect ]; then
rm -r test/codegen/expect || fail
fi
+if [ -d gen/codegen_input ]; then
+ rm -r gen/codegen_input || fail
+fi
+
+if [ -d gen/codegen_output ]; then
+ rm -r gen/codegen_output || fail
+fi
+
# Make sure we don't run tests in code coverage mode.
# this will cause us to generate files that are not part of the baseline
# TODO(jmesserly): we should move diff into Dart code, so we don't need to
« no previous file with comments | « tool/patch_sdk.sh ('k') | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698